=== debian/changelog ===
mupdf (0.7-2) unstable; urgency=low

  * Fix FTBFS on hurd-i386, kfreebsd-amd64, kfreebsd-i386

 -- Kan-Ru Chen <koster@debian.org>  Wed, 15 Sep 2010 17:15:47 +0800

mupdf (0.7-1) unstable; urgency=low

  * New upstream release
    (Closes: #590263, #590264, #590245)
  * Update manpages to reflect keybinding change
  * Patch build system to accept additional CFLAGS.
  * Add mupdf-tools to Suggests of mupdf. (Closes: #593446)
  * Update watch file
  * Bump Standards-Version to 3.9.1, no changes needed

 -- Kan-Ru Chen <koster@debian.org>  Wed, 15 Sep 2010 02:27:06 +0800

mupdf (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #559906)

 -- Kan-Ru Chen <koster@debian.org>  Thu, 22 Jul 2010 08:23:00 +0800
