=== debian/control ===
Source: mupdf
Section: text
Priority: optional
Maintainer: Kan-Ru Chen <koster@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libfreetype6-dev, pkg-config,
 libjpeg-dev, libjbig2dec-dev, libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://mupdf.com/
Vcs-Git: git://git.debian.org/git/users/koster/mupdf.git
Vcs-Browser: http://git.debian.org/?p=users/koster/mupdf.git;a=summary

Package: libmupdf-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Description: development files for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains the static library and headers.

Package: mupdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mupdf-tools
Description: lightweight PDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 The renderer in MuPDF is tailored for high quality anti-aliased graphics.
 It renders text with metrics and spacing accurate to within fractions of a
 pixel for the highest fidelity in reproducing the look of a printed page
 on screen.

Package: mupdf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: commmand line tools for the MuPDF viewer
 MuPDF is a lightweight PDF viewer and toolkit written in portable C.
 .
 This package contains command line tools using the MuPDF library:
 .
 pdfdraw to render pages to image files.
 .
 pdfshow to examine objects in a PDF file.
 .
 pdfclean to decompress and pretty print streams and objects in PDF files.
