=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_auto_build:
	$(MAKE) build=release OS=Linux

override_dh_auto_install:
	$(MAKE) build=release OS=Linux prefix=$(CURDIR)/debian/tmp/usr install

override_dh_auto_clean:
	-rm -rf build

%:
	dh $@
