=== debian/watch ===
version=3

http://mupdf.com/download/ mupdf-([\d.]+)\.tar\.gz
