## mupdf 0.8.15

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	fitz/crypt_aes.c \
 	fitz/crypt_arc4.c \
 	fitz/crypt_md5.c \
+	fitz/crypt_sha2.c \
 	fitz/dev_bbox.c \
 	fitz/dev_draw.c \
 	fitz/dev_list.c \
@@ -303,6 +304,12 @@
 
 APPS = $(PDFSHOW_EXE) $(PDFCLEAN_EXE) $(PDFDRAW_EXE) $(PDFEXTRACT_EXE) $(PDFINFO_EXE) $(PDFVIEW_EXE)
 
+APPS_MAN = \
+	apps/man/mupdf.1 \
+	apps/man/pdfclean.1 \
+	apps/man/pdfdraw.1 \
+	apps/man/pdfshow.1
+
 $(OBJDIR)/%.o: apps/%.c
 	$(CC_CMD)
 
@@ -377,8 +384,14 @@
 nuke:
 	rm -rf build
 
+BINDIR ?= $(prefix)/bin
+LIBDIR ?= $(prefix)/lib
+INCDIR ?= $(prefix)/include
+MANDIR ?= $(prefix)/share/man/man1
+
 install: $(OBJDIR) $(GENDIR) $(MUPDF_LIB) $(APPS)
-	install -d $(prefix)/bin $(prefix)/lib $(prefix)/include
-	install $(APPS) $(prefix)/bin
-	install $(MUPDF_LIB) $(prefix)/lib
-	install $(MUPDF_HDR) $(prefix)/include
+	install -d $(BINDIR) $(LIBDIR) $(INCDIR) $(MANDIR)
+	install $(APPS) $(BINDIR)
+	install $(APPS_MAN) $(MANDIR)
+	install $(MUPDF_LIB) $(LIBDIR)
+	install $(MUPDF_HDR) $(INCDIR)
