=== debian/changelog ===
mupdf (0.8.15-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Kan-Ru Chen <koster@debian.org>  Mon, 25 Jul 2011 11:04:22 +0200

mupdf (0.8.15-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/mupdf_fix_build.patch,
    debian/patches/mupdf_install_manpages_default.patch,
    debian/patches/mupdf_move_manpages_to_upstream.patch,
    debian/patches/mupdf_remove_extra_usage.patch: Merged upstream.
  * debian/watch: Upstream now uses google code hosting.

 -- Kan-Ru Chen <koster@debian.org>  Tue, 05 Apr 2011 20:03:33 +0800

mupdf (0.8-1) unstable; urgency=low

  * New upstream release. (Closes: #604746)
  * debian/patches/mupdf_move_manpages_to_upstream.patch,
    debian/patches/mupdf_update_manpages.patch: Sync with upstream.
    Remove debug purpose keybinding from manpage. (Closes: #597337)
  * Add NoDisplay=true to mupdf.desktop as the application is not
    intended for standalone use but a viewer. (Closes: #602293)
  * debian/mupdf.menu: Removed as well.
  * debian/patches/mupdf_remove_extra_usage.patch: New patch, remove
    redundant usage string from output.
  * Add non-standard DEB_BUILD_OPTIONS x-fpic support. (Closes: #617253)

 -- Kan-Ru Chen <koster@debian.org>  Wed, 09 Mar 2011 11:23:12 +0800
