## mupdf 0.9

=== debian/changelog ===
mupdf (0.9-2+deb7u3ubuntu0.12.04.1) precise-security; urgency=medium

  * Security merge from Debian.

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 23 Aug 2016 16:34:49 -0700

mupdf (0.9-2+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Backport fix for CVE-2016-6525: heap overflow in pdf_load_mesh_params()
    from upstream git commit 39b0f07dd960f34e7e6bf230ffc3d87c41ef0f2e.

 -- Jonas Meurer <mejo@debian.org>  Sat, 06 Aug 2016 16:13:05 +0200

mupdf (0.9-2+deb7u2) wheezy-security; urgency=high

  * Fix header mismatch with libjpeg-dev.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 04 Jun 2014 22:46:25 +0800

mupdf (0.9-2+deb7u1) wheezy-security; urgency=high

  * Backport fix of CVE-2014-2013: Stack-based Buffer Overflow in
    xps_parse_color() from unstable. (Closes: #738857)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 03 Jun 2014 23:59:34 +0800

mupdf (0.9-2ubuntu1) precise; urgency=low

  * d/p/ignore_scripts.patch: (LP: #934999)
    - Don't use included jconfig.h, use the system one instead.

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 18 Feb 2012 21:38:55 +0100

mupdf (0.9-2) unstable; urgency=low

  * Enable harden flags.
  * debian/copyright: Updated.
  * Bump Standards-Version to 3.9.2, no changes needed
  * debian/patches/bug621894.patch: Fix text copying with
    selection. (Closes: #621894)
  * debian/patches/bug646350.patch: Fix FTBFS with
    -Werror=format-security. (Closes: #646350)

 -- Kan-Ru Chen <koster@debian.org>  Sat, 17 Dec 2011 22:25:35 +0800

mupdf (0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #641169)
  * debian/patches/mupdf_update_manpages.patch: Merged upstream.
  * debian/libmupdf-dev.install: Install more library and headers.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 11 Sep 2011 12:08:18 +0800
