=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: mupdf
 Section: text
 Priority: optional
-Maintainer: Kan-Ru Chen <koster@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libfreetype6-dev, pkg-config,
- libjpeg-dev, libjbig2dec-dev, libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kan-Ru Chen <koster@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1.1~),
+ libfreetype6-dev, pkg-config, libjpeg-dev, libjbig2dec-dev,
+ libopenjpeg-dev, libx11-dev, libxext-dev, zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://mupdf.com/
 Vcs-Git: git://git.debian.org/git/users/koster/mupdf.git
 Vcs-Browser: http://git.debian.org/?p=users/koster/mupdf.git;a=summary
