=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifneq (,$(filter x-fpic,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -fPIC
@@ -16,6 +19,8 @@
 endif
 
 override_dh_auto_build:
+	# Use system libjpeg jconfig.h
+	-rm scripts/jconfig.h
 	$(MAKE) build=release OS=Linux
 
 override_dh_auto_install:
