## mupdf 1.0%2b-git-20120814

=== thirdparty/openjpeg-1.5.0/applications/jpip/CMakeLists.txt ===
# required dep for server:
IF(BUILD_JPIP_SERVER)
  FIND_PACKAGE(CURL REQUIRED)
  FIND_PACKAGE(FCGI REQUIRED)
  FIND_PACKAGE(PTHREAD REQUIRED)
ENDIF(BUILD_JPIP_SERVER)

# JPIP library:
ADD_SUBDIRECTORY(libopenjpip)

# JPIP binaries:
ADD_SUBDIRECTORY(util)
