=== debian/changelog ===
mupdf (1.0+-git-20120814) unstable; urgency=low

  * ...

 -- Frank Fuhlbrück <frafl@justmail.de>  Sun, 02 Sep 2012 09:11:00 +0200
